VERSION 5.00
Begin VB.Form frmSelectRep 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Slection de fichiers"
   ClientHeight    =   6030
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   8085
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6030
   ScaleWidth      =   8085
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdAnnuler 
      Caption         =   "Annuler"
      Height          =   495
      Left            =   6420
      TabIndex        =   5
      Top             =   5460
      Width           =   1575
   End
   Begin VB.CommandButton cmdValider 
      Caption         =   "Valider"
      Height          =   495
      Left            =   4620
      TabIndex        =   4
      Top             =   5460
      Width           =   1575
   End
   Begin VB.Frame WfraSelectionnables 
      Caption         =   " Slection "
      Height          =   5295
      Left            =   60
      TabIndex        =   0
      Top             =   60
      Width           =   7935
      Begin VB.CheckBox WchkWithFiles 
         Caption         =   "Afficher les fichiers contenus"
         Height          =   255
         Left            =   5280
         TabIndex        =   6
         Top             =   360
         Width           =   2415
      End
      Begin VB.DriveListBox WdrvSelectDrive 
         Height          =   315
         Left            =   180
         TabIndex        =   3
         Top             =   300
         Width           =   4215
      End
      Begin VB.DirListBox WdirSelectRepertoires 
         Height          =   4365
         Left            =   180
         TabIndex        =   2
         Top             =   720
         Width           =   4215
      End
      Begin VB.FileListBox WfilSelectFichiers 
         Height          =   4185
         Left            =   4500
         MultiSelect     =   2  'Extended
         Pattern         =   "*.sql"
         TabIndex        =   1
         Top             =   720
         Visible         =   0   'False
         Width           =   3255
      End
   End
End
Attribute VB_Name = "frmSelectRep"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'' Bouton Valider
Private Sub cmdValider_Click()
    
    '' Dbut de curseur sous forme de sablier
    Screen.MousePointer = vbHourglass
    
    WfilSelectFichiers_DblClick
    
    '' Renseignement avec le Path slectionn
    If g_sTypeSelect = cmSelectRep Then
        g_sPath = frmSelectRep.WdirSelectRepertoires.Path
    ElseIf g_sTypeSelect = cmSelectFichierTexte Then
        If g_sPath = vbNullString Then
            Screen.MousePointer = vbDefault
            MsgBox "Vous devez slectionner un fichier .txt qui contient la liste des fichiers SQL  charger en base"
            Exit Sub
        End If
    End If
    
    '' Fermeture de la fentre
    Unload Me
    
    '' Remise sous forme de flche
    Screen.MousePointer = vbDefault

End Sub

'' Bouton Annuler
Private Sub cmdAnnuler_Click()
    
    g_sPath = vbNullString
    
    '' Fermeture de la fentre
    Unload Me
    
End Sub

Private Sub Form_Load()
    If g_sTypeSelect = cmSelectFichierTexte Then
        WfilSelectFichiers.Pattern = cmPatternTXT
        WfilSelectFichiers.Enabled = True
    ElseIf g_sTypeSelect = cmSelectRep Then
        WfilSelectFichiers.Pattern = cmPatternSQL
        WdirSelectRepertoires.Path = g_sPath
        WfilSelectFichiers.Enabled = False
    End If
End Sub

Private Sub WchkWithFiles_Click()
    If WchkWithFiles.Value = vbChecked Then
        frmSelectRep.WfilSelectFichiers.Visible = True
        frmSelectRep.WfilSelectFichiers.Path = frmSelectRep.WdirSelectRepertoires.Path
    Else
        frmSelectRep.WfilSelectFichiers.Visible = False
    End If
End Sub

Private Sub WdrvSelectDrive_Change()
    
    '' Dbut de curseur sous forme de sablier
    Screen.MousePointer = vbHourglass
    
    '' Dsactivation du bouton Valider pendant le chargement
    cmdValider.Enabled = False
    
    '' Slection du nouveau disque
    frmSelectRep.WdirSelectRepertoires.Path = frmSelectRep.WdrvSelectDrive.Drive

    '' Remise sous forme de flche
    Screen.MousePointer = vbDefault
    
    '' Activation du bouton Valider aprs le chargement
    cmdValider.Enabled = True
    
End Sub

Private Sub WdirSelectRepertoires_Change()
    
    '' Dbut de curseur sous forme de sablier
    Screen.MousePointer = vbHourglass
    
    '' Dsactivation du bouton Valider
    cmdValider.Enabled = False
    
    If WchkWithFiles.Value = vbChecked Then
        frmSelectRep.WfilSelectFichiers.Visible = True
        frmSelectRep.WfilSelectFichiers.Path = frmSelectRep.WdirSelectRepertoires.Path
    Else
        frmSelectRep.WfilSelectFichiers.Visible = False
    End If
    
    '' Activation du bouton Valider
    cmdValider.Enabled = True
    
    '' Remise sous forme de flche
    Screen.MousePointer = vbDefault
    
End Sub

Private Sub WfilSelectFichiers_DblClick()

    Dim lCompt As Long 'Compteur
    Dim colFichiersDuRepertoire As Collection 'Collection des sous fichiers du rpertoire ajout
    Dim fsoObjetParcours As FileSystemObject 'Objet de parcours des fichiers
    Dim folRepertoireSource As Folder 'Repertoire source des fichiers
    
    '' Dbut de curseur sous forme de sablier
    Screen.MousePointer = vbHourglass
    
    '' Dsactivation du bouton Valider
    cmdValider.Enabled = False
    
    With frmSelectRep
        
        Set colFichiersDuRepertoire = New Collection
        Set fsoObjetParcours = CreateObject("Scripting.FileSystemObject")
        Set folRepertoireSource = fsoObjetParcours.GetFolder(.WdirSelectRepertoires.Path)
        
        g_sPath = vbNullString
        
        If g_sTypeSelect = cmSelectFichierTexte Then
            For lCompt = 1 To WfilSelectFichiers.ListCount
                If WfilSelectFichiers.Selected(lCompt - 1) Then
                    g_sPath = WfilSelectFichiers.Path & "\" & WfilSelectFichiers.FileName
                    Exit For
                End If
            Next
        ElseIf g_sTypeSelect = cmSelectRep Then
            WalkthroughFolder folRepertoireSource, colFichiersDuRepertoire
        End If
                    
    End With

    '' Dsactivation du bouton Valider
    cmdValider.Enabled = True
    
    '' Remise sous forme de flche
    Screen.MousePointer = vbDefault
    
End Sub

Private Sub WfilSelectFichiers_Click()

    Dim lCompt As Long 'Compteur
    
    If g_sTypeSelect = cmSelectFichierTexte Then
        
        '' Dbut de curseur sous forme de sablier
        Screen.MousePointer = vbHourglass
        
        '' Dsactivation du bouton Valider
        cmdValider.Enabled = False
        
        With frmSelectRep
            
            g_sPath = vbNullString
            
            For lCompt = 1 To WfilSelectFichiers.ListCount
                If WfilSelectFichiers.Selected(lCompt - 1) And g_sPath = vbNullString Then
                    g_sPath = WfilSelectFichiers.Path & "\" & WfilSelectFichiers.FileName
                ElseIf WfilSelectFichiers.Selected(lCompt - 1) Then
                    MsgBox "Vous ne pouvez slectionner qu'un seul fichier"
                    g_sPath = vbNullString
                    Exit For
                End If
            Next
                        
        End With
    
        '' Dsactivation du bouton Valider
        cmdValider.Enabled = True
        
        '' Remise sous forme de flche
        Screen.MousePointer = vbDefault
        
    End If
End Sub

Private Sub WalkthroughFolder(Parent As Folder, coll As Collection)
    
    On Error GoTo ErrorHandler
    
    '' Sous rpertoire
    Dim foldChild As Folder
    '' Sous fichier
    Dim fileChild As Object
    Dim sTypeTarget As String
    
    '' Dbut de curseur sous forme de sablier
    Screen.MousePointer = vbHourglass
    
    '' Dsactivation du bouton Valider
    cmdValider.Enabled = False
    
    '' Choix du fichier texte contenant le nom des procdures stockes
    If g_sTypeSelect = cmSelectFichierTexte Then
        sTypeTarget = cmAnalyzeFileSQLTarget
    ElseIf g_sTypeSelect = cmSelectRep Then
        sTypeTarget = cmAnalyzeSQLTarget
    End If
        
    '' Parcourt des rpertoires pour afficher les fichiers correspondants
    For Each fileChild In Parent.Files
        If (InStr(sTypeTarget, Right(fileChild.Name, 3)) > 0) Then
            coll.Add fileChild.Path
        End If
    Next
    
    '' Activation du bouton Valider
    cmdValider.Enabled = True
    
    '' Remise sous forme de flche
    Screen.MousePointer = vbDefault
       
Exit Sub
ErrorHandler:
    Err.Raise Err.Number, Err.Source, Err.Description
End Sub
